%define	name	AfterStep
%define	fver	1.8.10
%define	version	1.8.10
%define	release	1
%define	serial	2

Summary:	AfterStep Window Manager (NeXTalike)
Name:		%{name}
Version:	%{version}
Release:	%{release}
Serial:		%{serial}
Copyright:	GPL
Group:		User Interface/Desktops
URL:		http://www.afterstep.org
Vendor:		The AfterStep Team (see TEAM in docdir)
Source:		%{name}-%{fver}.tar.gz
BuildRoot:	/var/tmp/%{name}-%{version}-root


%description
  AfterStep is a Window Manager for X which started by emulating the
NEXTSTEP look and feel, but which has been significantly altered
according to the requests of various users. Many adepts will tell you
that NEXTSTEP is not only the most visually pleasant interface, but
also one of the most functional and intuitive out there. AfterStep
aims to incorporate the advantages of the NEXTSTEP interface, and add
additional useful features.

  The developers of AfterStep have also worked very hard to ensure
stability and a small program footprint. Without giving up too many
features, AfterStep still works nicely in environments where memory is
at a premium.

%prep
%setup -q -n %{name}-%{fver}


%build
CFLAGS=$RPM_OPT_FLAGS; export CFLAGS;
./configure --prefix=/usr/X11R6 --datadir=/usr/share \
	--with-imageloader="xv -root -quit" \
	--with-helpcommand="xterm -e man" \
	--with-desktops=1 \
	--with-deskgeometry=2x3 \
	--disable-availability \
	--disable-staticlibs \
	--enable-i18n

make

if [ -x /usr/bin/sgml2html ]; then sgml2html doc/afterstep.sgml; fi

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install
rm -f $RPM_BUILD_ROOT/usr/X11R6/bin/{sessreg,xpmroot}

(
	cd $RPM_BUILD_ROOT/usr/X11R6/man;
	find . -type f -print -exec gzip -9 {} \;
)

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%clean
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi

%files
%defattr(-,root,root)
%doc ChangeLog NEW README* TEAM UPGRADE doc/languages doc/licences doc/code TODO *.html
/usr/X11R6/bin/*
/usr/X11R6/lib/*
/usr/X11R6/man/*/*
%config /usr/share/afterstep

%changelog
* Wed Jan 17 2001 David Mihm <webmaster@afterstep.org>
  1.8.9 patch 1 (sasha)
  o Fix X libraries order, to have Xext preceed X11 - causes problems on
    some Solaris systems.
  o fixed two warnings related to time.h
  o commented out dependency checking to avoid problems for users with old
    compilers. It is not needed in stable series anyways.
  o Added functionality to WindowsDesk function. If second argument is
    10000 then first is relative desk number, instead of exact.
  o Implemented Xinerama support. When window is initially placed - it
    will be appropriately moved to not appear in between monitors, unless
    user requested geometry explicetely.
  o When Xinerama is active, and asetroot is requested to scale or pad
    background image to the screen size it will use size of the first head
    ( the one with origin of 0,0 ).
  o Implemented separate Feel, Look, Background and Init/Restart functions
    for different screens in multihead config with no Xinerama.
  o We now read $TMPDIR in order to locate /tmp directory, and falling back
    to /tmp if envvar is not set.
  o somewhat fixed Align and Pad fields in the Asetroot config parsing.

  1.8.8 patch 1 (sasha+allanon)
  o installastheme.pl now uses the first screen depth reported by xdpyinfo
    instead of the last; this fixes problems with the look not updating on
    XFree86 4.x (allanon)
  o removed reference to xiterm from Wharf config file; wharf now tries to
    load aterm, and then xterm if that fails (allanon)
  o fix to mystyle drawing as applyed to empty menu drawing
  o removed config reading from the pipe - was causing some compile time
    problems and really was never needed.
  o updated README.nl
  o fixed configure to sheck if X11/xpm.h should be used or just xpm.h,
    updated as_xpm.c accordingly.

  1.8.4 patch 4 (sasha) 
  o Added -fPIC to the compilation flags when compiling with GCC so to
    allow for compilation on IA64 architecture( as sugested on AS
    MailingList).
  1.8.4 patch 3 (sasha)
  o Removed lots of memory allocation code from lib/safemalloc.c. It was not
    used anyways, but was causing problems on some older compilers.
  o Fixed src/afterstep/module.c to use different name for the socket when
    compiled under MS Windows (CYGWIN).
  1.8.4 patch 2 (sasha)
  o fixed bug in iconization of windows with shaped icons, that was causing
    some servers to crash.
  o fixed harmless bug in menu window creation code, that was causing error
    message on startup - trying to create window with width = 0
  1.8.4 patch 1 (sasha)
  o fixed Audio to wait for delay only after sounds that has been played
    successfully
  o patched nasty bug in libasimage/mystyle_property.c so that None pixmap
    does not get checked. 
  1.8.0 patch 4 (sasha)
  o rewrote Audio. It now autodetects rplay via configure; external player
    command has been moved into configure too, only args can be specifyed in
    audio config. Two more built-in options added - builtin-cat to stream
    contents of the sound file directly to /dev/audio, and builtin-stdout
    to dump it to STDOUT.
  o fixed afterstep to assign screen = Scr.screen to fix garbled output on 
    multiscreen  
  o cosmetic change in startmenu to read Star Office suite instead of site 
  o added default colors to Pager's BorderColor, GridColor and SelectionColor
  o changed socket to use /tmp instead of non-configurable
  1.8.0 patch 3 (sasha)
  o Fixed extra line in .depend files causing make to fail
  o backported true transparency changes from 1.9 into pixmap.c
  1.8.0 patch 2 (sasha+contrib)
  o fixed shaped icons. (contributed by Mark Phillips)
  o fixed Pager's window stacking order (backported from 1.9 )
  o removed screen from libraries  (backported from 1.9 )
  o fixed .depend  files to hopefully compile on dumb Solaris.
  1.8.0 patch 2 (sasha+contrib)
  o fixed shaped icons. (contributed by Mark Phillips)
  o fixed Pager's window stacking order (backported from 1.9 )
  o removed screen from libraries  (backported from 1.9 )
  o fixed .depend  files to hopefully compile on dumb Solaris.
* Wed Feb 16 2000 Ryan Weaver <ryanw@infohwy.com>
  [AfterStep-1.8.1-1]
- Added patch 1 to make version 1.8.1.
  1.8.0 patch 1 (allanon+Myrlin+sasha)
  o fixed annoying XError messages when starting asetroot after previous 
    asetroot was killed
  o added signal handlers to asetroot to correctly exit on afterstep exit
  o fixed minor memory leaks in asetroot occuring when changing backgrounds
  o fixed asetroot crashing when same background is used for several 
    desktops
  o should fix multiplying asetroots while changing backgrounds,
    in both resident and run-once modes.
  o fixed man page concerning IconTitle (Myrlin)
  o fixed man page WRT BackMultiGradient modes 8 and 9
  o WinList: fixed segfault due to balloons
  o Pager: moved balloon_setup() after config parsing; now pays attention 
    to BalloonBorderWidth and BalloonBorderColor; added step to balloon.h 
    to make the calling order more obvious

  [AfterStep-1.8.0-2]
- Now Building RPM with the --enable-i18n configure option.

* Mon Feb 14 2000 Ryan Weaver <ryanw@infohwy.com>
  [AfterStep-1.8.0-1]
  1.7.172-02 (1.7.174) **** This is stable release 1.8.0 ****
  o Changed Nop " " to Nop "" in the two a_nop files under start/ tree
  o fixed n-c/ dir feels to have CirculateWindowUp (vs old CirculateUp)
  o corrected typos in NEW and UPGRADE file (missing Theme/ on
    $HOME/GNUstep/Library/AfterStep/Desktop/<insert>.include)
  o low and behold, to the new stable!

  1.7.172-01 (1.7.173)
  o installation no longer halts if /usr/share/gnome/wm-properties or 
    /usr/local/share/gnome/wm-properties exists but is not writable
  o balloons now have a ten second maximum time-to-live; they will auto 
    close after ten seconds, even if the pointer has not left the trigger 
    window
  o modified menu include to backslash-escape all non-alphanumeric chars 
    in the pathname when the function is Exec; this should be completely 
    transparent to the user
  o removed --enable-makemenus (NO_MAKESTARTMENU); this option's 
    functionality no longer exists
  o added tools/testcompile.sh to test configure options easily
  o lots of fixes to make compilation options work; every single configure 
    option now works (by itself) on my system, and ~1000 combinations also 
    work with no warnings and no errors
  o Auto: REMOVED module, as it does not work as well as the equivalent AS 
    function (AutoRaise)
  o Form: modified escaping rules to backslash-escape all non-alphanumeric 
    characters, not just single quote, double quote, and backslash; this 
    allows the theme creation form to correctly create themes whose names 
    contain arbitrary characters

* Wed Feb  9 2000 Ryan Weaver <ryanw@infohwy.com>
  [AfterStep-1.7.172-1]
- Updated to lasted snapshot 1.7.172
  1.7.164-08 (1.7.172)
  o (sasha) added Makefile adjustment to add gnome AfterStep.desktop file
  o created AfterStep.dektop file for gnome control center intergration
  o update base directory documentation
  o update man pages
  o replaced CirculateUp with ChangeWindowUp in all feel. files

  1.7.164-07 (1.7.171)
  o set more Cursors in all feels to avoid the default (skull & crossbones) 
    cursor
  o Wharf: update subfolder transparency on background change
  o WinList: no longer delete balloons twice (this could cause crashes!)
  o WinList: general cleanup of memory usage

  1.7.164-06 (1.7.170)
  o correctly handle BGR mode and MSBFirst modes
  o WinList: free up more memory at exit when --enable-audit is on

* Tue Feb  2 2000 Ryan Weaver <ryanw@infohwy.com>
  [AfterStep-1.7.169-1]
- Added patch 5 to make version 1.7.169.
  1.7.164-05-sasha-solaris_colors_warp.patch.gz
  o Fixed bug when if focused window is iconized or destroyed, Warp does 
    not do anything;
  o Hopefully Fixed bug when colors are swapped while loading images
    on Solaris.

* Sat Jan 29 2000 Ryan Weaver <ryanw@infohwy.com>
  [AfterStep-1.7.168-1]
- Added patch 4 to make version 1.7.168.
  1.7.164-04-Pitr-shade_pager_asetroot.patch.gz
  o Fixed bug in Pager when it dies if clicked on desk title right after 
    startink up;
  o Added check for shadink steps number, so not to go into infinite 
    loop, DA !?
  o am thinkink asetroot must be startink good now and don't leavink windows
    behind; 
  o removed --enable-makemenusonboot from configure;

* Wed Jan 26 2000 Ryan Weaver <ryanw@infohwy.com>
  [AfterStep-1.7.167-1]
- Added patch 3 to make version 1.7.167.
  1.7.164-03-allanon-compile_and_themes.patch.gz
  o as_jpeg.c compiles with --with-jpeg=no
  o added include of Xutil.h in src/afterstep/configure.c, needed for 
    the XSizeHints in afterstep.h
  o determine the location of perl in the configure script
  o updated menu tree and default Form config file to reflect theme.handler 
    changes (see below)
  o theme.handler: makeastheme.pl now creates a tarfile version of the 
    theme in themes/ instead of putting the theme files in a subdir of 
    desktop/themes
  o theme.handler: installastheme.pl now takes either a theme name or a 
    tarfile argument, and installs the tarfile as astheme.sh did
  o theme.handler: removed astheme.sh and asthemecreate.sh as they are no 
    longer necessary

* Tue Jan 18 2000 Ryan Weaver <ryanw@infohwy.com>
  [AfterStep-1.7.166-1]
- Added patch 2 to make version 1.7.166.
  1.7.164-02-sasha-pager_shade_indent.patch.gz
  o Fixed bug in Pager when if window was shaded/iconized on Pager startup it 
    would not be shown this way, until it is moved/resized.
  o Finally performed `make indent` - hence the big size of the patch.

* Wed Jan 12 2000 Ryan Weaver <ryanw@infohwy.com>
  [AfterStep-1.7.165-1]
- Added patch 1 to make version 1.7.165.
  1.7.164-01-sasha-shade_titleballoons.patch.gz
  o fixed size of the shaded windows with vertical titlebar, shown in Pager.
  o disallowed SHADE function on windows with no titlebar.  
  o fixed Segfaulting when titlebar button has no funtions and balloons are 
    enabled. 

* Tue Jan 11 2000 Ryan Weaver <ryanw@infohwy.com>
  [AfterStep-1.7.164-1]
- 1.7.142 patch 22 (mihm)
  o removed previous two patches (20 and 21)
  o included updated FAQ (as-faq-devel.2000-1-10)
  o moved to snapshot
- 1.7.142 patch 21 (allanon)
  o fixed astheme.sh (was broken in patch 20, oops!!)

